import type { AppRouteModule } from '/@/router/types'

import { LAYOUT } from '/@/router/constant'
import { t } from '/@/hooks/web/useI18n'

const setup: AppRouteModule = {
    path: '/example',
    name: 'Example',
    component: LAYOUT,
    redirect: '/example/index',
    meta: {
        orderNo: 90001,
        hideChildrenInMenu: true,
        icon: 'healthicons:virus-lab-research-test-tube-outline',
        title: t('routes.demo.example.page'),
    },
    children: [
        {
            path: 'index',
            name: 'ExamplePage',
            component: () => import('/@/views/demo/example/index.vue'),
            meta: {
                title: t('routes.demo.example.page'),
                icon: 'healthicons:virus-lab-research-test-tube-outline',
                hideMenu: true,
            },
        },
    ],
}

export default setup
